X-Authentication-Warning: cassiopeia.home: geert owned process doing -bs
Date: Sun, 9 Nov 1997 00:26:06 +0100 (MET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Cc: Jes Sorensen <Jes.Sorensen@cern.ch>
Subject: L68K: Additional Zorro IDs
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>


This list seems to be endless :-)

38 new products from 15 new manufacturers!

--- m68k-2.1.61/include/linux/zorro.h	Sun Nov  2 00:26:33 1997
+++ linux/include/linux/zorro.h	Sun Nov  9 00:17:06 1997
@@ -59,6 +59,7 @@
     ZORRO_CLASS_TURBO_HD,
     ZORRO_CLASS_TURBO_IDE,
     ZORRO_CLASS_TURBO_SCSI,
+    ZORRO_CLASS_TURBO_SCSI_RAM,
     ZORRO_CLASS_VIDEO,
 };
 
@@ -91,7 +92,10 @@
 
 #define ZORRO_MANUF_PACIFIC_PERIPHERALS				0x00D3
 #define  ZORRO_PROD_PACIFIC_PERIPHERALS_SE_2000_A500		ZORRO_ID(PACIFIC_PERIPHERALS, 0x00, 0)
-#define  ZORRO_PROD_PACIFIC_PERIPHERALS_HD			ZORRO_ID(PACIFIC_PERIPHERALS, 0x0A, 0)
+#define  ZORRO_PROD_PACIFIC_PERIPHERALS_SCSI			ZORRO_ID(PACIFIC_PERIPHERALS, 0x0A, 0)
+
+#define ZORRO_MANUF_MACROSYSTEMS_USA_2				0x0100
+#define  ZORRO_PROD_MACROSYSTEMS_WARP_ENGINE			ZORRO_ID(MACROSYSTEMS_USA_2, 0x13, 0)
 
 #define ZORRO_MANUF_KUPKE_1					0x00DD
 #define  ZORRO_PROD_KUPKE_GOLEM_RAM_BOX_2MB			ZORRO_ID(KUPKE_1, 0x00, 0)
@@ -130,6 +134,9 @@
 #define ZORRO_MANUF_COMMODORE_WEST_CHESTER_2			0x0203
 #define  ZORRO_PROD_CBM_A2090A_CM				ZORRO_ID(COMMODORE_WEST_CHESTER_2, 0x03, 0)
 
+#define ZORRO_MANUF_PROGRESSIVE_PERIPHERALS_AND_SYSTEMS_2	0x02F4
+#define  ZORRO_PROD_PPS_EXP8000					ZORRO_ID(PROGRESSIVE_PERIPHERALS_AND_SYSTEMS_2, 0x02, 0)
+
 #define ZORRO_MANUF_KOLFF_COMPUTER_SUPPLIES			0x02FF
 #define  ZORRO_PROD_KCS_POWER_PC_BOARD				ZORRO_ID(KOLFF_COMPUTER_SUPPLIES, 0x00, 0)
 
@@ -160,22 +167,23 @@
 #define  ZORRO_PROD_MICROBOTICS_VXL_68030			ZORRO_ID(MICROBOTICS, 0x45, 0)
 #define  ZORRO_PROD_MICROBOTICS_DELTA				ZORRO_ID(MICROBOTICS, 0x60, 0)
 #define  ZORRO_PROD_MICROBOTICS_MBX_1200_1200Z_RAM		ZORRO_ID(MICROBOTICS, 0x81, 0)
-#define  ZORRO_PROD_MICROBOTICS_HARDFRAME_2000			ZORRO_ID(MICROBOTICS, 0x9E, 0)
+#define  ZORRO_PROD_MICROBOTICS_HARDFRAME_2000_1		ZORRO_ID(MICROBOTICS, 0x96, 0)
+#define  ZORRO_PROD_MICROBOTICS_HARDFRAME_2000_2		ZORRO_ID(MICROBOTICS, 0x9E, 0)
 #define  ZORRO_PROD_MICROBOTICS_MBX_1200_1200Z			ZORRO_ID(MICROBOTICS, 0xC1, 0)
 
-#define ZORRO_MANUF_ACCESS_ASSOCIATES				0x03F4
+#define ZORRO_MANUF_ACCESS_ASSOCIATES_ALEGRA			0x03F4
 
 #define ZORRO_MANUF_EXPANSION_TECHNOLOGIES			0x03F6
 
 #define ZORRO_MANUF_ASDG					0x03FF
 #define  ZORRO_PROD_ASDG_MEMORY_1				ZORRO_ID(ASDG, 0x01, 0)
 #define  ZORRO_PROD_ASDG_MEMORY_2				ZORRO_ID(ASDG, 0x02, 0)
-#define  ZORRO_PROD_ASDG_LAN_ROVER				ZORRO_ID(ASDG, 0xFE, 0)
-#define  ZORRO_PROD_ASDG_TWIN_X					ZORRO_ID(ASDG, 0xFF, 0)
+#define  ZORRO_PROD_ASDG_EB920_LAN_ROVER			ZORRO_ID(ASDG, 0xFE, 0)
+#define  ZORRO_PROD_ASDG_GPIB_DUALIEEE488_TWIN_X		ZORRO_ID(ASDG, 0xFF, 0)
 
 #define ZORRO_MANUF_IMTRONICS_1					0x0404
-#define  ZORRO_PROD_IMTRONICS_HURRICANE_2800_68030_1		ZORRO_ID(IMTRONICS_1, 0x39, 0)
-#define  ZORRO_PROD_IMTRONICS_HURRICANE_2800_68030_2		ZORRO_ID(IMTRONICS_1, 0x57, 0)
+#define  ZORRO_PROD_IMTRONICS_HURRICANE_2800_1			ZORRO_ID(IMTRONICS_1, 0x39, 0)
+#define  ZORRO_PROD_IMTRONICS_HURRICANE_2800_2			ZORRO_ID(IMTRONICS_1, 0x57, 0)
 
 #define ZORRO_MANUF_CBM_UNIVERSITY_OF_LOWELL			0x0406
 #define  ZORRO_PROD_CBM_A2410					ZORRO_ID(CBM_UNIVERSITY_OF_LOWELL, 0x00, 0)
@@ -187,8 +195,10 @@
 
 #define ZORRO_MANUF_SUPRA					0x0420
 #define  ZORRO_PROD_SUPRA_SUPRADRIVE_4x4			ZORRO_ID(SUPRA, 0x01, 0)
+#define  ZORRO_PROD_SUPRA_1000_RAM				ZORRO_ID(SUPRA, 0x02, 0)
 #define  ZORRO_PROD_SUPRA_2000_DMA				ZORRO_ID(SUPRA, 0x03, 0)
 #define  ZORRO_PROD_SUPRA_500					ZORRO_ID(SUPRA, 0x05, 0)
+#define  ZORRO_PROD_SUPRA_500_SCSI				ZORRO_ID(SUPRA, 0x08, 0)
 #define  ZORRO_PROD_SUPRA_500XP_2000_RAM			ZORRO_ID(SUPRA, 0x09, 0)
 #define  ZORRO_PROD_SUPRA_500RX_2000_RAM			ZORRO_ID(SUPRA, 0x0A, 0)
 #define  ZORRO_PROD_SUPRA_2400ZI				ZORRO_ID(SUPRA, 0x0B, 0)
@@ -200,6 +210,8 @@
 #define  ZORRO_PROD_CSA_MAGNUM					ZORRO_ID(COMPUTER_SYSTEMS_ASSOCIATES, 0x11, 0)
 #define  ZORRO_PROD_CSA_12_GAUGE				ZORRO_ID(COMPUTER_SYSTEMS_ASSOCIATES, 0x15, 0)
 
+#define ZORRO_MANUF_MARC_MICHAEL_GROTH				0x0439
+
 #define ZORRO_MANUF_M_TECH					0x0502
 #define  ZORRO_PROD_MTEC_AT500_1				ZORRO_ID(M_TECH, 0x03, 0)
 
@@ -210,6 +222,7 @@
 #define  ZORRO_PROD_BYTEBOX_A500				ZORRO_ID(BYTEBOX, 0x00, 0)
 
 #define ZORRO_MANUF_DKB_POWER_COMPUTING				0x07DC
+#define  ZORRO_PROD_DKB_POWER_COMPUTING_SECUREKEY		ZORRO_ID(DKB_POWER_COMPUTING, 0x09, 0)
 #define  ZORRO_PROD_DKB_POWER_COMPUTING_DKM_3128		ZORRO_ID(DKB_POWER_COMPUTING, 0x0E, 0)
 #define  ZORRO_PROD_DKB_POWER_COMPUTING_RAPID_FIRE		ZORRO_ID(DKB_POWER_COMPUTING, 0x0F, 0)
 #define  ZORRO_PROD_DKB_POWER_COMPUTING_DKM_1202		ZORRO_ID(DKB_POWER_COMPUTING, 0x10, 0)
@@ -246,11 +259,13 @@
 #define  ZORRO_PROD_GVP_IMPACT_VISION_24			ZORRO_ID(GREAT_VALLEY_PRODUCTS_2, 0x20, 0)
 #define  ZORRO_PROD_GVP_GFORCE_040_2				ZORRO_ID(GREAT_VALLEY_PRODUCTS_2, 0xFF, 0)
 
-#define ZORRO_MANUF_SYNERGY					0x07E5
+#define ZORRO_MANUF_CALIFORNIA_ACCESS_SYNERGY			0x07E5
+#define  ZORRO_PROD_CALIFORNIA_ACCESS_SYNERGY_MALIBU		ZORRO_ID(CALIFORNIA_ACCESS_SYNERGY, 0x01, 0)
 
 #define ZORRO_MANUF_XETEC					0x07E6
 #define  ZORRO_PROD_XETEC_FASTCARD				ZORRO_ID(XETEC, 0x01, 0)
 #define  ZORRO_PROD_XETEC_FASTCARD_RAM				ZORRO_ID(XETEC, 0x02, 0)
+#define  ZORRO_PROD_XETEC_FASTCARD_PLUS				ZORRO_ID(XETEC, 0x03, 0)
 
 #define ZORRO_MANUF_PROGRESSIVE_PERIPHERALS_AND_SYSTEMS		0x07EA
 #define  ZORRO_PROD_PPS_MERCURY					ZORRO_ID(PROGRESSIVE_PERIPHERALS_AND_SYSTEMS, 0x00, 0)
@@ -261,9 +276,16 @@
 
 #define ZORRO_MANUF_XEBEC					0x07EC
 
-#define ZORRO_MANUF_SPIRIT					0x07F2
-#define  ZORRO_PROD_SPIRIT_HDA_506				ZORRO_ID(SPIRIT, 0x04, 0)
-#define  ZORRO_PROD_SPIRIT_OCTABYTE				ZORRO_ID(SPIRIT, 0x06, 0)
+#define ZORRO_MANUF_SPIRIT_TECHNOLOGY				0x07F2
+#define  ZORRO_PROD_SPIRIT_TECHNOLOGY_INSIDER_IN1000		ZORRO_ID(SPIRIT_TECHNOLOGY, 0x01, 0)
+#define  ZORRO_PROD_SPIRIT_TECHNOLOGY_INSIDER_IN500		ZORRO_ID(SPIRIT_TECHNOLOGY, 0x02, 0)
+#define  ZORRO_PROD_SPIRIT_TECHNOLOGY_SIN500			ZORRO_ID(SPIRIT_TECHNOLOGY, 0x03, 0)
+#define  ZORRO_PROD_SPIRIT_TECHNOLOGY_HDA_506			ZORRO_ID(SPIRIT_TECHNOLOGY, 0x04, 0)
+#define  ZORRO_PROD_SPIRIT_TECHNOLOGY_AX_S			ZORRO_ID(SPIRIT_TECHNOLOGY, 0x05, 0)
+#define  ZORRO_PROD_SPIRIT_TECHNOLOGY_OCTABYTE			ZORRO_ID(SPIRIT_TECHNOLOGY, 0x06, 0)
+#define  ZORRO_PROD_SPIRIT_TECHNOLOGY_INMATE			ZORRO_ID(SPIRIT_TECHNOLOGY, 0x08, 0)
+
+#define ZORRO_MANUF_SPIRIT_TECHNOLOGY_2				0x07F3
 
 #define ZORRO_MANUF_BSC_ALFADATA_1				0x07FE
 #define  ZORRO_PROD_BSC_ALF_3_1					ZORRO_ID(BSC_ALFADATA_1, 0x03, 0)
@@ -283,10 +305,27 @@
 #define ZORRO_MANUF_CHECKPOINT_TECHNOLOGIES			0x0807
 #define  ZORRO_PROD_CHECKPOINT_TECHNOLOGIES_SERIAL_SOLUTION	ZORRO_ID(CHECKPOINT_TECHNOLOGIES, 0x00, 0)
 
+#define ZORRO_MANUF_EDOTRONIK					0x0810
+#define  ZORRO_PROD_EDOTRONIK_IEEE_488				ZORRO_ID(EDOTRONIK, 0x01, 0)
+#define  ZORRO_PROD_EDOTRONIK_8032				ZORRO_ID(EDOTRONIK, 0x02, 0)
+#define  ZORRO_PROD_EDOTRONIK_MULTISERIAL			ZORRO_ID(EDOTRONIK, 0x03, 0)
+#define  ZORRO_PROD_EDOTRONIK_VIDEODIGITIZER			ZORRO_ID(EDOTRONIK, 0x04, 0)
+#define  ZORRO_PROD_EDOTRONIK_PARALLEL_IO			ZORRO_ID(EDOTRONIK, 0x05, 0)
+#define  ZORRO_PROD_EDOTRONIK_PIC_PROTOYPING			ZORRO_ID(EDOTRONIK, 0x06, 0)
+#define  ZORRO_PROD_EDOTRONIK_ADC				ZORRO_ID(EDOTRONIK, 0x07, 0)
+#define  ZORRO_PROD_EDOTRONIK_VME				ZORRO_ID(EDOTRONIK, 0x08, 0)
+#define  ZORRO_PROD_EDOTRONIK_DSP96000				ZORRO_ID(EDOTRONIK, 0x09, 0)
+
+#define ZORRO_MANUF_NES_INC					0x0813
+#define  ZORRO_PROD_NES_INC_RAM					ZORRO_ID(NES_INC, 0x00, 0)
+
 #define ZORRO_MANUF_ICD						0x0817
-#define  ZORRO_PROD_ICD_ADVANTAGE_2000				ZORRO_ID(ICD, 0x01, 0)
+#define  ZORRO_PROD_ICD_ADVANTAGE_2000_SCSI			ZORRO_ID(ICD, 0x01, 0)
+#define  ZORRO_PROD_ICD_ADVANTAGE_IDE				ZORRO_ID(ICD, 0x03, 0)
+#define  ZORRO_PROD_ICD_ADVANTAGE_2080_RAM			ZORRO_ID(ICD, 0x04, 0)
 
 #define ZORRO_MANUF_KUPKE_2					0x0819
+#define  ZORRO_PROD_KUPKE_OMTI					ZORRO_ID(KUPKE_2, 0x01, 0)
 #define  ZORRO_PROD_KUPKE_SCSI_II				ZORRO_ID(KUPKE_2, 0x02, 0)
 #define  ZORRO_PROD_KUPKE_GOLEM_BOX				ZORRO_ID(KUPKE_2, 0x03, 0)
 #define  ZORRO_PROD_KUPKE_030_882				ZORRO_ID(KUPKE_2, 0x04, 0)
@@ -301,6 +340,10 @@
 #define ZORRO_MANUF_HARDITAL_SYNTHESIS				0x0820
 #define  ZORRO_PROD_HARDITAL_SYNTHESIS_TQM_68030_68882		ZORRO_ID(HARDITAL_SYNTHESIS, 0x14, 0)
 
+#define ZORRO_MANUF_APPLIED_ENGINEERING				0x0828
+#define  ZORRO_PROD_APPLIED_ENGINEERING_DL2000			ZORRO_ID(APPLIED_ENGINEERING, 0x10, 0)
+#define  ZORRO_PROD_APPLIED_ENGINEERING_RAM_WORKS		ZORRO_ID(APPLIED_ENGINEERING, 0xE0, 0)
+
 #define ZORRO_MANUF_BSC_ALFADATA_3				0x082C
 #define  ZORRO_PROD_BSC_OKTAGON_2008				ZORRO_ID(BSC_ALFADATA_3, 0x05, 0)
 #define  ZORRO_PROD_BSC_TANDEM_AT_2008_508			ZORRO_ID(BSC_ALFADATA_3, 0x06, 0)
@@ -315,6 +358,11 @@
 #define  ZORRO_PROD_BSC_ISDN_MASTERCARD				ZORRO_ID(BSC_ALFADATA_3, 0x40, 0)
 #define  ZORRO_PROD_BSC_ISDN_MASTERCARD_II			ZORRO_ID(BSC_ALFADATA_3, 0x41, 0)
 
+#define ZORRO_MANUF_PHOENIX					0x0835
+#define  ZORRO_PROD_PHOENIX_ST506				ZORRO_ID(PHOENIX, 0x21, 0)
+#define  ZORRO_PROD_PHOENIX_SCSI				ZORRO_ID(PHOENIX, 0x22, 0)
+#define  ZORRO_PROD_PHOENIX_RAM					ZORRO_ID(PHOENIX, 0xBE, 0)
+
 #define ZORRO_MANUF_ADVANCED_STORAGE_SYSTEMS			0x0836
 #define  ZORRO_PROD_ADVANCED_STORAGE_SYSTEMS_NEXUS		ZORRO_ID(ADVANCED_STORAGE_SYSTEMS, 0x01, 0)
 #define  ZORRO_PROD_ADVANCED_STORAGE_SYSTEMS_NEXUS_RAM		ZORRO_ID(ADVANCED_STORAGE_SYSTEMS, 0x08, 0)
@@ -373,6 +421,12 @@
 #define  ZORRO_PROD_HELFRICH_RAINBOW_II				ZORRO_ID(HELFRICH_1, 0x20, 0)
 #define  ZORRO_PROD_HELFRICH_RAINBOW_III			ZORRO_ID(HELFRICH_1, 0x21, 0)
 
+#define ZORRO_MANUF_ATLANTIS					0x0862
+
+#define ZORRO_MANUF_PROTAR					0x0864
+
+#define ZORRO_MANUF_ACS						0x0865
+
 #define ZORRO_MANUF_SOFTWARE_RESULTS_ENTERPRISES		0x0866
 #define  ZORRO_PROD_SOFTWARE_RESULTS_ENTERPRISES_GOLDEN_GATE_2_BUS_PLUS	ZORRO_ID(SOFTWARE_RESULTS_ENTERPRISES, 0x01, 0)
 
@@ -381,6 +435,9 @@
 #define  ZORRO_PROD_MASOBOSHI_MASTER_CARD_MC702			ZORRO_ID(MASOBOSHI, 0x04, 0)
 #define  ZORRO_PROD_MASOBOSHI_MVD_819				ZORRO_ID(MASOBOSHI, 0x07, 0)
 
+#define ZORRO_MANUF_MAINHATTAN_DATA				0x086F
+#define  ZORRO_PROD_MAINHATTAN_DATA_IDE				ZORRO_ID(MAINHATTAN_DATA, 0x01, 0)
+
 #define ZORRO_MANUF_VILLAGE_TRONIC				0x0877
 #define  ZORRO_PROD_VILLAGE_TRONIC_DOMINO_RAM			ZORRO_ID(VILLAGE_TRONIC, 0x01, 0)
 #define  ZORRO_PROD_VILLAGE_TRONIC_DOMINO_REG			ZORRO_ID(VILLAGE_TRONIC, 0x02, 0)
@@ -450,8 +507,8 @@
 #define  ZORRO_PROD_MEGAMICRO_SCRAM_500_RAM			ZORRO_ID(MEGAMICRO, 0x04, 0)
 
 #define ZORRO_MANUF_IMTRONICS_2					0x1028
-#define  ZORRO_PROD_IMTRONICS_HURRICANE_2800_68030_3		ZORRO_ID(IMTRONICS_2, 0x39, 0)
-#define  ZORRO_PROD_IMTRONICS_HURRICANE_2800_68030_4		ZORRO_ID(IMTRONICS_2, 0x57, 0)
+#define  ZORRO_PROD_IMTRONICS_HURRICANE_2800_3			ZORRO_ID(IMTRONICS_2, 0x39, 0)
+#define  ZORRO_PROD_IMTRONICS_HURRICANE_2800_4			ZORRO_ID(IMTRONICS_2, 0x57, 0)
 
 /* unofficial ID */
 #define ZORRO_MANUF_INDIVIDUAL_COMPUTERS			0x1212
@@ -484,7 +541,7 @@
 #define  ZORRO_PROD_READYSOFT_AMAX_II_IV			ZORRO_ID(READYSOFT, 0x01, 0)
 
 #define ZORRO_MANUF_PHASE5					0x2140
-#define  ZORRO_PROD_PHASE5_BLIZZARD_1_8MB			ZORRO_ID(PHASE5, 0x01, 0)
+#define  ZORRO_PROD_PHASE5_BLIZZARD_RAM				ZORRO_ID(PHASE5, 0x01, 0)
 #define  ZORRO_PROD_PHASE5_BLIZZARD				ZORRO_ID(PHASE5, 0x02, 0)
 #define  ZORRO_PROD_PHASE5_BLIZZARD_1220_IV			ZORRO_ID(PHASE5, 0x06, 0)
 #define  ZORRO_PROD_PHASE5_FASTLANE_Z3_RAM			ZORRO_ID(PHASE5, 0x0A, 0)
@@ -534,12 +591,24 @@
 #define  ZORRO_PROD_SKI_PERIPHERALS_MAST_FIREBALL		ZORRO_ID(SKI_PERIPHERALS, 0x08, 0)
 #define  ZORRO_PROD_SKI_PERIPHERALS_SCSI_DUAL_SERIAL		ZORRO_ID(SKI_PERIPHERALS, 0x80, 0)
 
+#define ZORRO_MANUF_REIS_WARE_2					0xA9AD
+#define  ZORRO_PROD_REIS_WARE_SCAN_KING				ZORRO_ID(REIS_WARE_2, 0x11, 0)
+
 #define ZORRO_MANUF_CAMERON					0xAA01
 #define  ZORRO_PROD_CAMERON_PERSONAL_A4				ZORRO_ID(CAMERON, 0x10, 0)
 
 #define ZORRO_MANUF_REIS_WARE					0xAA11
 #define  ZORRO_PROD_REIS_WARE_HANDYSCANNER			ZORRO_ID(REIS_WARE, 0x11, 0)
 
+#define ZORRO_MANUF_PHOENIX_2					0xB5A8
+#define  ZORRO_PROD_PHOENIX_ST506_2				ZORRO_ID(PHOENIX_2, 0x21, 0)
+#define  ZORRO_PROD_PHOENIX_SCSI_2				ZORRO_ID(PHOENIX_2, 0x22, 0)
+#define  ZORRO_PROD_PHOENIX_RAM_2				ZORRO_ID(PHOENIX_2, 0xBE, 0)
+
+#define ZORRO_MANUF_COMBITEC_2					0xC008
+#define  ZORRO_PROD_COMBITEC_HD					ZORRO_ID(COMBITEC_2, 0x2A, 0)
+#define  ZORRO_PROD_COMBITEC_SRAM				ZORRO_ID(COMBITEC_2, 0x2B, 0)
+
 
     /*
      *  Test and illegal Manufacturer IDs.
@@ -549,7 +618,7 @@
 #define ZORRO_MANUF_HACKER					0x07DB
 #define  ZORRO_PROD_GENERAL_PROTOTYPE				ZORRO_ID(HACKER, 0x00, 0)
 #define  ZORRO_PROD_HACKER_SCSI					ZORRO_ID(HACKER, 0x01, 0)
-#define  ZORRO_PROD_RESOURCE_MANAGEMENT_FORCE_QUICKNET		ZORRO_ID(HACKER, 0x02, 0)
+#define  ZORRO_PROD_RESOURCE_MANAGEMENT_FORCE_QUICKNET_QN2000	ZORRO_ID(HACKER, 0x02, 0)
 #define  ZORRO_PROD_VECTOR_CONNECTION_2				ZORRO_ID(HACKER, 0xE0, 0)
 #define  ZORRO_PROD_VECTOR_CONNECTION_3				ZORRO_ID(HACKER, 0xE1, 0)
 #define  ZORRO_PROD_VECTOR_CONNECTION_4				ZORRO_ID(HACKER, 0xE2, 0)
--- m68k-2.1.61/arch/m68k/amiga/zorro.c	Sun Nov  2 00:26:23 1997
+++ linux/arch/m68k/amiga/zorro.c	Sun Nov  9 00:19:07 1997
@@ -76,7 +76,11 @@
 
 BEGIN_PROD(PACIFIC_PERIPHERALS)
     PROD("SE 2000 A500", HD, PACIFIC_PERIPHERALS_SE_2000_A500)
-    PROD(NULL, HD, PACIFIC_PERIPHERALS_HD)
+    PROD(NULL, SCSI, PACIFIC_PERIPHERALS_SCSI)
+END
+
+BEGIN_PROD(MACROSYSTEMS_USA_2)
+    PROD("Warp Engine", TURBO_SCSI_RAM, MACROSYSTEMS_WARP_ENGINE)
 END
 
 BEGIN_PROD(KUPKE_1)
@@ -119,7 +123,11 @@
 END
 
 BEGIN_PROD(COMMODORE_WEST_CHESTER_2)
-    PROD("A2090A Combitec/MacroSystem", SCSI, CBM_A2090A_CM)
+    PROD("A2090/A2090A Combitec/MacroSystem", SCSI, CBM_A2090A_CM)
+END
+
+BEGIN_PROD(PROGRESSIVE_PERIPHERALS_AND_SYSTEMS_2)
+    PROD("EXP8000", RAM, PPS_EXP8000)
 END
 
 BEGIN_PROD(KOLFF_COMPUTER_SUPPLIES)
@@ -134,11 +142,11 @@
 END
 
 BEGIN_PROD(A_SQUARED)
-    PROD("Live! 2000", UNKNOWN, A_SQUARED_LIVE_2000)
+    PROD("Live! 2000", VIDEO, A_SQUARED_LIVE_2000)
 END
 
 BEGIN_PROD(COMSPEC_COMMUNICATIONS)
-    PROD("AX2000", UNKNOWN, COMSPEC_COMMUNICATIONS_AX2000)
+    PROD("AX2000", RAM, COMSPEC_COMMUNICATIONS_AX2000)
 END
 
 BEGIN_PROD(ANAKIN_RESEARCH)
@@ -147,9 +155,9 @@
 
 BEGIN_PROD(MICROBOTICS)
     PROD("StarBoard II", RAM, MICROBOTICS_STARBOARD_II)
-    PROD("StarDrive", HD, MICROBOTICS_STARDRIVE)
-    PROD("8-Up (Rev A)", UNKNOWN, MICROBOTICS_8_UP_A)
-    PROD("8-Up (Rev Z)", UNKNOWN, MICROBOTICS_8_UP_Z)
+    PROD("StarDrive", SCSI, MICROBOTICS_STARDRIVE)
+    PROD("8-Up (Rev A)", RAM, MICROBOTICS_8_UP_A)
+    PROD("8-Up (Rev Z)", RAM, MICROBOTICS_8_UP_Z)
     PROD("Delta", RAM, MICROBOTICS_DELTA_RAM)
     PROD("8-Star", RAM, MICROBOTICS_8_STAR_RAM)
     PROD("8-Star", MISC, MICROBOTICS_8_STAR)
@@ -157,11 +165,12 @@
     PROD("VXL-30", TURBO, MICROBOTICS_VXL_68030)
     PROD("Delta", MISC, MICROBOTICS_DELTA)
     PROD("MBX 1200/1200z", RAM, MICROBOTICS_MBX_1200_1200Z_RAM)
-    PROD("Hardframe 2000", SCSI, MICROBOTICS_HARDFRAME_2000)
+    PROD("Hardframe 2000", SCSI, MICROBOTICS_HARDFRAME_2000_1)
+    PROD("Hardframe 2000", SCSI, MICROBOTICS_HARDFRAME_2000_2)
     PROD("MBX 1200/1200z", MISC, MICROBOTICS_MBX_1200_1200Z)
 END
 
-BEGIN_PROD(ACCESS_ASSOCIATES)
+BEGIN_PROD(ACCESS_ASSOCIATES_ALEGRA)
 END
 
 BEGIN_PROD(EXPANSION_TECHNOLOGIES)
@@ -170,13 +179,13 @@
 BEGIN_PROD(ASDG)
     PROD(NULL, RAM, ASDG_MEMORY_1)
     PROD(NULL, RAM, ASDG_MEMORY_2)
-    PROD("Lan Rover", ETHERNET, ASDG_LAN_ROVER)
-    PROD("Twin-X", SERIAL, ASDG_TWIN_X)
+    PROD("EB-920 Lan Rover", ETHERNET, ASDG_EB920_LAN_ROVER)
+    PROD("GPIB/Dual IEEE-488/Twin-X", MULTIIO, ASDG_GPIB_DUALIEEE488_TWIN_X)
 END
 
 BEGIN_PROD(IMTRONICS_1)
-    PROD("Hurricane 2800 68030", TURBO, IMTRONICS_HURRICANE_2800_68030_1)
-    PROD("Hurricane 2800 68030", TURBO, IMTRONICS_HURRICANE_2800_68030_2)
+    PROD("Hurricane 2800", TURBO_RAM, IMTRONICS_HURRICANE_2800_1)
+    PROD("Hurricane 2800", TURBO_RAM, IMTRONICS_HURRICANE_2800_2)
 END
 
 BEGIN_PROD(CBM_UNIVERSITY_OF_LOWELL)
@@ -191,8 +200,10 @@
 
 BEGIN_PROD(SUPRA)
     PROD("SupraDrive 4x4", SCSI, SUPRA_SUPRADRIVE_4x4)
-    PROD("2000 DMA", HD, SUPRA_2000_DMA)
-    PROD("500", HD_RAM, SUPRA_500)
+    PROD("1000", RAM, SUPRA_1000_RAM)
+    PROD("2000 DMA", SCSI, SUPRA_2000_DMA)
+    PROD("500", SCSI_RAM, SUPRA_500)
+    PROD("500", SCSI, SUPRA_500_SCSI)
     PROD("500XP/2000", RAM, SUPRA_500XP_2000_RAM)
     PROD("500RX/2000", RAM, SUPRA_500RX_2000_RAM)
     PROD("2400zi", MODEM, SUPRA_2400ZI)
@@ -206,6 +217,9 @@
     PROD("12 Gauge", SCSI, CSA_12_GAUGE)
 END
 
+BEGIN_PROD(MARC_MICHAEL_GROTH)
+END
+
 BEGIN_PROD(M_TECH)
     PROD("AT500", RAM, MTEC_AT500_1)
 END
@@ -219,6 +233,7 @@
 END
 
 BEGIN_PROD(DKB_POWER_COMPUTING)
+    PROD("SecureKey", UNKNOWN, DKB_POWER_COMPUTING_SECUREKEY)
     PROD("DKM 3128", RAM, DKB_POWER_COMPUTING_DKM_3128)
     PROD("Rapid Fire", SCSI, DKB_POWER_COMPUTING_RAPID_FIRE)
     PROD("DKM 1202", FPU_RAM, DKB_POWER_COMPUTING_DKM_1202)
@@ -244,44 +259,54 @@
 END
 
 BEGIN_GVP_PROD					/* ZORRO_PROD_GVP_EPC_BASE */
-   GVP_PROD("GForce 040", TURBO, GVP_GFORCE_040_1)
-   GVP_PROD("GForce 040", TURBO_SCSI, GVP_GFORCE_040_SCSI_1)
-   GVP_PROD("A1291", SCSI, GVP_A1291)
-   GVP_PROD("Combo 030 R4", TURBO, GVP_COMBO_030_R4)
-   GVP_PROD("Combo 030 R4", TURBO_SCSI, GVP_COMBO_030_R4_SCSI)
-   GVP_PROD("Phone Pak", UNKNOWN, GVP_PHONEPAK)
-   GVP_PROD("IO-Extender", MULTIIO, GVP_IO_EXTENDER)
-   GVP_PROD("GForce 030", TURBO, GVP_GFORCE_030)
-   GVP_PROD("GForce 030", TURBO_SCSI, GVP_GFORCE_030_SCSI)
-   GVP_PROD("A530", TURBO, GVP_A530)
-   GVP_PROD("A530", TURBO_SCSI, GVP_A530_SCSI)
-   GVP_PROD("Combo 030 R3", TURBO, GVP_COMBO_030_R3)
-   GVP_PROD("Combo 030 R3", TURBO_SCSI, GVP_COMBO_030_R3_SCSI)
-   GVP_PROD("Series-II", SCSI, GVP_SERIES_II)
+    GVP_PROD("GForce 040", TURBO, GVP_GFORCE_040_1)
+    GVP_PROD("GForce 040", TURBO_SCSI, GVP_GFORCE_040_SCSI_1)
+    GVP_PROD("A1291", SCSI, GVP_A1291)
+    GVP_PROD("Combo 030 R4", TURBO, GVP_COMBO_030_R4)
+    GVP_PROD("Combo 030 R4", TURBO_SCSI, GVP_COMBO_030_R4_SCSI)
+    GVP_PROD("Phone Pak", UNKNOWN, GVP_PHONEPAK)
+    GVP_PROD("IO-Extender", MULTIIO, GVP_IO_EXTENDER)
+    GVP_PROD("GForce 030", TURBO, GVP_GFORCE_030)
+    GVP_PROD("GForce 030", TURBO_SCSI, GVP_GFORCE_030_SCSI)
+    GVP_PROD("A530", TURBO, GVP_A530)
+    GVP_PROD("A530", TURBO_SCSI, GVP_A530_SCSI)
+    GVP_PROD("Combo 030 R3", TURBO, GVP_COMBO_030_R3)
+    GVP_PROD("Combo 030 R3", TURBO_SCSI, GVP_COMBO_030_R3_SCSI)
+    GVP_PROD("Series-II", SCSI, GVP_SERIES_II)
 END
 
-BEGIN_PROD(SYNERGY)
+BEGIN_PROD(CALIFORNIA_ACCESS_SYNERGY)
+    PROD("Malibu", SCSI, CALIFORNIA_ACCESS_SYNERGY_MALIBU)
 END
 
 BEGIN_PROD(XETEC)
     PROD("FastCard", SCSI, XETEC_FASTCARD)
     PROD("FastCard", RAM, XETEC_FASTCARD_RAM)
+    PROD("FastCard Plus", SCSI, XETEC_FASTCARD_PLUS)
 END
 
 BEGIN_PROD(PROGRESSIVE_PERIPHERALS_AND_SYSTEMS)
     PROD("Mercury", TURBO, PPS_MERCURY)
     PROD("A3000 68040", TURBO, PPS_A3000_68040)
     PROD("A2000 68040", TURBO, PPS_A2000_68040)
-    PROD("Zeus", SCSI, PPS_ZEUS)
+    PROD("Zeus", TURBO_SCSI_RAM, PPS_ZEUS)
     PROD("A500 68040", TURBO, PPS_A500_68040)
 END
 
 BEGIN_PROD(XEBEC)
 END
 
-BEGIN_PROD(SPIRIT)
-    PROD("HDA 506", HD, SPIRIT_HDA_506)
-    PROD("OctaByte", RAM, SPIRIT_OCTABYTE)
+BEGIN_PROD(SPIRIT_TECHNOLOGY)
+    PROD("Insider IN1000", RAM, SPIRIT_TECHNOLOGY_INSIDER_IN1000)
+    PROD("Insider IN500", RAM, SPIRIT_TECHNOLOGY_INSIDER_IN500)
+    PROD("SIN500", RAM, SPIRIT_TECHNOLOGY_SIN500)
+    PROD("HDA 506", HD, SPIRIT_TECHNOLOGY_HDA_506)
+    PROD("AX-S", MISC, SPIRIT_TECHNOLOGY_AX_S)
+    PROD("OctaByte", RAM, SPIRIT_TECHNOLOGY_OCTABYTE)
+    PROD("Inmate", SCSI_RAM, SPIRIT_TECHNOLOGY_INMATE)
+END
+
+BEGIN_PROD(SPIRIT_TECHNOLOGY_2)
 END
 
 BEGIN_PROD(BSC_ALFADATA_1)
@@ -307,11 +332,30 @@
     PROD("Serial Solution", SERIAL, CHECKPOINT_TECHNOLOGIES_SERIAL_SOLUTION)
 END
 
+BEGIN_PROD(EDOTRONIK)
+    PROD("IEEE-488 Interface Board", UNKNOWN, EDOTRONIK_IEEE_488)
+    PROD("CBM-8032 Board", UNKNOWN, EDOTRONIK_8032)
+    PROD(NULL, SERIAL, EDOTRONIK_MULTISERIAL)
+    PROD("24Bit Realtime Video Digitizer", UNKNOWN, EDOTRONIK_VIDEODIGITIZER)
+    PROD("32Bit Parallel I/O Interface", UNKNOWN, EDOTRONIK_PARALLEL_IO)
+    PROD("PIC Prototyping Board", UNKNOWN, EDOTRONIK_PIC_PROTOYPING)
+    PROD("16 Channel ADC Interface", UNKNOWN, EDOTRONIK_ADC)
+    PROD("VME-Bus Controller", UNKNOWN, EDOTRONIK_VME)
+    PROD("DSP96000 Realtime Data Acquisition", DSP, EDOTRONIK_DSP96000)
+END
+
+BEGIN_PROD(NES_INC)
+    PROD(NULL, RAM, NES_INC_RAM)
+END
+
 BEGIN_PROD(ICD)
-    PROD("Advantage 2000", SCSI, ICD_ADVANTAGE_2000)
+    PROD("Advantage 2000", SCSI, ICD_ADVANTAGE_2000_SCSI)
+    PROD("Advantage", IDE, ICD_ADVANTAGE_2000_SCSI)
+    PROD("Advantage 2080", RAM, ICD_ADVANTAGE_2080_RAM)
 END
 
 BEGIN_PROD(KUPKE_2)
+    PROD("Omti", HD, KUPKE_OMTI)
     PROD("Golem SCSI-II", SCSI, KUPKE_SCSI_II)
     PROD("Golem Box", UNKNOWN, KUPKE_GOLEM_BOX)
     PROD("030/882", TURBO, KUPKE_030_882)
@@ -330,6 +374,11 @@
     PROD("TQM 68030+68882", TURBO, HARDITAL_SYNTHESIS_TQM_68030_68882)
 END
 
+BEGIN_PROD(APPLIED_ENGINEERING)
+    PROD("DL2000", MODEM, APPLIED_ENGINEERING_DL2000)
+    PROD("RAM Works", RAM, APPLIED_ENGINEERING_RAM_WORKS)
+END
+
 BEGIN_PROD(BSC_ALFADATA_3)
     PROD("Oktagon 2008", SCSI, BSC_OKTAGON_2008)
     PROD("Tandem AT-2008/508", IDE, BSC_TANDEM_AT_2008_508)
@@ -345,6 +394,12 @@
     PROD("ISDN MasterCard II", ISDN, BSC_ISDN_MASTERCARD_II)
 END
 
+BEGIN_PROD(PHOENIX)
+    PROD("ST506", HD, PHOENIX_ST506)
+    PROD(NULL, SCSI, PHOENIX_SCSI)
+    PROD(NULL, RAM, PHOENIX_RAM)
+END
+
 BEGIN_PROD(ADVANCED_STORAGE_SYSTEMS)
     PROD("Nexus", SCSI, ADVANCED_STORAGE_SYSTEMS_NEXUS)
     PROD("Nexus", RAM, ADVANCED_STORAGE_SYSTEMS_NEXUS_RAM)
@@ -413,6 +468,15 @@
     PROD("Rainbow III", GFX, HELFRICH_RAINBOW_III)	/* ID clash!! */
 END
 
+BEGIN_PROD(ATLANTIS)
+END
+
+BEGIN_PROD(PROTAR)
+END
+
+BEGIN_PROD(ACS)
+END
+
 BEGIN_PROD(SOFTWARE_RESULTS_ENTERPRISES)
     PROD("Golden Gate 2 Bus+", BRIDGE, SOFTWARE_RESULTS_ENTERPRISES_GOLDEN_GATE_2_BUS_PLUS)
 END
@@ -423,6 +487,10 @@
     PROD("MVD 819", UNKNOWN, MASOBOSHI_MVD_819)
 END
 
+BEGIN_PROD(MAINHATTAN_DATA)
+    PROD(NULL, IDE, MAINHATTAN_DATA_IDE)
+END
+
 BEGIN_PROD(VILLAGE_TRONIC)
     PROD("Domino", GFXRAM, VILLAGE_TRONIC_DOMINO_RAM)
     PROD("Domino", GFX, VILLAGE_TRONIC_DOMINO_REG)
@@ -479,12 +547,12 @@
     PROD("Piccolo", GFX, HELFRICH_PICCOLO_REG)
     PROD("PeggyPlus MPEG", VIDEO, HELFRICH_PEGGY_PLUS_MPEG)
     PROD("VideoCruncher", VIDEO, HELFRICH_VIDEOCRUNCHER)
-    PROD("SD64", GFXRAM, HELFRICH_SD64_RAM)
-    PROD("SD64", GFX, HELFRICH_SD64_REG)
+    PROD("Piccolo SD64", GFXRAM, HELFRICH_SD64_RAM)
+    PROD("Piccolo SD64", GFX, HELFRICH_SD64_REG)
 END
 
 BEGIN_PROD(MACROSYSTEMS_USA)
-    PROD("Warp Engine 40xx", TURBO_SCSI, MACROSYSTEMS_WARP_ENGINE_40xx)
+    PROD("Warp Engine 40xx", TURBO_SCSI_RAM, MACROSYSTEMS_WARP_ENGINE_40xx)
 END
 
 BEGIN_PROD(ELBOX_COMPUTER)
@@ -493,7 +561,7 @@
 
 BEGIN_PROD(HARMS_PROFESSIONAL)
     PROD("030 Plus", TURBO, HARMS_PROFESSIONAL_030_PLUS)
-    PROD("3500", TURBO, HARMS_PROFESSIONAL_3500)
+    PROD("3500 Professional", TURBO_RAM, HARMS_PROFESSIONAL_3500)
 END
 
 BEGIN_PROD(MICRONIK)
@@ -506,8 +574,8 @@
 END
 
 BEGIN_PROD(IMTRONICS_2)
-    PROD("xHurricane 2800 68030", TURBO, IMTRONICS_HURRICANE_2800_68030_3)
-    PROD("Hurricane 2800 68030", TURBO, IMTRONICS_HURRICANE_2800_68030_4)
+    PROD("Hurricane 2800", TURBO_RAM, IMTRONICS_HURRICANE_2800_3)
+    PROD("Hurricane 2800", TURBO_RAM, IMTRONICS_HURRICANE_2800_4)
 END
 
 BEGIN_PROD(INDIVIDUAL_COMPUTERS)
@@ -548,7 +616,7 @@
 END
 
 BEGIN_PROD(PHASE5)
-    PROD("Blizzard 1-8MB", RAM, PHASE5_BLIZZARD_1_8MB)
+    PROD("Blizzard", RAM, PHASE5_BLIZZARD_RAM)
     PROD("Blizzard", TURBO, PHASE5_BLIZZARD)
     PROD("Blizzard 1220-IV", TURBO, PHASE5_BLIZZARD_1220_IV)
     PROD("FastLane Z3", RAM, PHASE5_FASTLANE_Z3_RAM)
@@ -607,6 +675,10 @@
     PROD("SCSI/Dual Serial", SCSI_SERIAL, SKI_PERIPHERALS_SCSI_DUAL_SERIAL)
 END
 
+BEGIN_PROD(REIS_WARE_2)
+    PROD("Scan King", SCANNER, REIS_WARE_SCAN_KING)
+END
+
 BEGIN_PROD(CAMERON)
     PROD("Personal A4", SCANNER, CAMERON_PERSONAL_A4)
 END
@@ -615,53 +687,72 @@
     PROD("Handyscanner", SCANNER, REIS_WARE_HANDYSCANNER)
 END
 
+BEGIN_PROD(PHOENIX_2)
+    PROD("ST506", HD, PHOENIX_ST506_2)
+    PROD(NULL, SCSI, PHOENIX_SCSI_2)
+    PROD(NULL, RAM, PHOENIX_RAM_2)
+END
+
+BEGIN_PROD(COMBITEC_2)
+    PROD(NULL, HD, COMBITEC_HD)
+    PROD("SRAM", RAM, COMBITEC_SRAM)
+END
+
 BEGIN_PROD(HACKER)	/* Unused */
 END
 
 
 BEGIN_MANUF
     MANUF("Pacific Peripherals", PACIFIC_PERIPHERALS)
+    MANUF("MacroSystems USA", MACROSYSTEMS_USA_2)
     MANUF("Kupke", KUPKE_1)
     MANUF("Memphis", MEMPHIS)
     MANUF("3-State", 3_STATE)
     MANUF("Commodore Braunschweig", COMMODORE_BRAUNSCHWEIG)
     MANUF("Commodore West Chester", COMMODORE_WEST_CHESTER_1)
     MANUF("Commodore West Chester", COMMODORE_WEST_CHESTER_2)
+    MANUF("Progressive Peripherals & Systems", PROGRESSIVE_PERIPHERALS_AND_SYSTEMS_2)
     MANUF("Kolff Computer Supplies", KOLFF_COMPUTER_SUPPLIES)
     MANUF("Cardco Ltd.", CARDCO_1)
     MANUF("A-Squared", A_SQUARED)
     MANUF("Comspec Communications", COMSPEC_COMMUNICATIONS)
     MANUF("Anakin Research", ANAKIN_RESEARCH)
     MANUF("Microbotics", MICROBOTICS)
-    MANUF("Access Associates", ACCESS_ASSOCIATES)
-    MANUF("Expansion Technologies", EXPANSION_TECHNOLOGIES)
+    MANUF("Access Associates Alegra", ACCESS_ASSOCIATES_ALEGRA)
+    MANUF("Expansion Technologies (Pacific Cypress)", EXPANSION_TECHNOLOGIES)
     MANUF("ASDG", ASDG)
-    MANUF("Imtronics", IMTRONICS_1)
+    MANUF("Ronin/Imtronics", IMTRONICS_1)
     MANUF("Commodore/University of Lowell", CBM_UNIVERSITY_OF_LOWELL)
     MANUF("Ameristar", AMERISTAR)
     MANUF("Supra", SUPRA)
     MANUF("Computer Systems Assosiates", COMPUTER_SYSTEMS_ASSOCIATES)
+    MANUF("Marc Michael Groth", MARC_MICHAEL_GROTH)
     MANUF("M-Tech", M_TECH)
     MANUF("Great Valley Products", GREAT_VALLEY_PRODUCTS_1)
     MANUF("ByteBox", BYTEBOX)
     MANUF("DKB/Power Computing", DKB_POWER_COMPUTING)
     MANUF("Great Valley Products", GREAT_VALLEY_PRODUCTS_2)
-    MANUF("Synergy", SYNERGY)
+    MANUF("California Access (Synergy)", CALIFORNIA_ACCESS_SYNERGY)
     MANUF("Xetec", XETEC)
     MANUF("Progressive Peripherals & Systems", PROGRESSIVE_PERIPHERALS_AND_SYSTEMS)
     MANUF("Xebec", XEBEC)
-    MANUF("Spirit", SPIRIT)
+    MANUF("Spirit Technology", SPIRIT_TECHNOLOGY)
+    MANUF("Spirit Technology", SPIRIT_TECHNOLOGY_2)
     MANUF("BSC/Alfadata", BSC_ALFADATA_1)
     MANUF("BSC/Alfadata", BSC_ALFADATA_2)
     MANUF("Cardco Ltd.", CARDCO_2)
     MANUF("Jochheim", JOCHHEIM)
     MANUF("Checkpoint Technologies", CHECKPOINT_TECHNOLOGIES)
+    MANUF("Edotronik", EDOTRONIK)
+    MANUF("NES Inc.", NES_INC)
     MANUF("ICD", ICD)
     MANUF("Kupke", KUPKE_2)
     MANUF("Great Valley Products", GREAT_VALLEY_PRODUCTS_3)
     MANUF("Interworks Network", INTERWORKS_NETWORK)
     MANUF("Hardital Synthesis", HARDITAL_SYNTHESIS)
+    MANUF("Applied Engineering", APPLIED_ENGINEERING)
     MANUF("BSC/Alfadata", BSC_ALFADATA_3)
+    MANUF("Phoenix", PHOENIX)
     MANUF("Advanced Storage Systems", ADVANCED_STORAGE_SYSTEMS)
     MANUF("Impulse", IMPULSE)
     MANUF("IVS", IVS)
@@ -674,8 +765,12 @@
     MANUF("GFX-Base", GFX_BASE)
     MANUF("RocTec", ROCTEC)
     MANUF("Kato", KATO)
+    MANUF("Atlantis", ATLANTIS)
+    MANUF("Protar", PROTAR)
+    MANUF("ACS", ACS)
     MANUF("Software Results Enterprises", SOFTWARE_RESULTS_ENTERPRISES)
     MANUF("Masoboshi", MASOBOSHI)
+    MANUF("Mainhattan-Data (A-Team)", MAINHATTAN_DATA)
     MANUF("Village Tronic", VILLAGE_TRONIC)
     MANUF("Utilities Unlimited", UTILITIES_UNLIMITED)
     MANUF("Amitrix", AMITRIX)
@@ -690,7 +785,7 @@
     MANUF("Harms Professional", HARMS_PROFESSIONAL)
     MANUF("Micronik", MICRONIK)
     MANUF("MegaMicro", MEGAMICRO)
-    MANUF("Imtronics", IMTRONICS_2)
+    MANUF("Ronin/Imtronics", IMTRONICS_2)
     MANUF("Individual Computers", INDIVIDUAL_COMPUTERS)
     MANUF("Kupke", KUPKE_3)
     MANUF("ITH", ITH)
@@ -708,9 +803,12 @@
     MANUF("MacroSystems Germany", MACROSYSTEMS_GERMANY)
     MANUF("Combitec", COMBITEC)
     MANUF("SKI Peripherals", SKI_PERIPHERALS)
+    MANUF("Reis-Ware", REIS_WARE_2)
     MANUF("Cameron", CAMERON)
     MANUF("Reis-Ware", REIS_WARE)
     MANUF("Hacker Test Board", HACKER)	/* Unused */
+    MANUF("Phoenix", PHOENIX_2)
+    MANUF("Combitec", COMBITEC_2)
 END
 
 #define NUM_MANUF		(ARRAYSIZE(Manufacturers))
@@ -758,6 +856,7 @@
     "Accelerator and HD Controller",	    /* ZORRO_CLASS_TURBO_HD */
     "Accelerator and IDE Interface",	    /* ZORRO_CLASS_TURBO_IDE */
     "Accelerator and SCSI Host Adapter",    /* ZORRO_CLASS_TURBO_SCSI */
+    "Accelerator, SCSI Host Adapter and RAM Expansion",    /* ZORRO_CLASS_TURBO_SCSI */
     "Video Board",			    /* ZORRO_CLASS_VIDEO */
 };
 

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium


